ATLAS Offline software
========================

Welcome to [ATLAS](https://atlas.ch) offline software!

To find out how to build Athena, make merge requests etc, please have a look at the [release building](https://atlassoftwaredocs.web.cern.ch/guides/build_release/) pages.

In particular, if you fork this project *please do not forget* to add the ATLAS Robot as a developer (assuming you might want to submit a merge request) as documented [here](https://atlassoftwaredocs.web.cern.ch/gittutorial/gitlab-fork/).

For ATLAS members, please see the [Atlas Computing Twiki](https://twiki.cern.ch/twiki/bin/view/AtlasComputing/AtlasComputing) for even more information.

Branches
--------
The following branches are currently active:

Branch                                                            | Purpose                      | Main Project, Release Series
------------------------------------------------------------------| ---------------------------- | ---------------------------------------
[21.0](https://gitlab.cern.ch/atlas/athena/tree/21.0)             | Tier0 and MC16c              | Athena, 21.0.X
[21.0-mc16a](https://gitlab.cern.ch/atlas/athena/tree/21.0-mc16a) | MC16a bugfixes               | Athena, 21.0.20.Y
[21.0-mc16d](https://gitlab.cern.ch/atlas/athena/tree/21.0-mc16d) | MC16d bugfixes               | Athena, 21.0.20.Y
[21.1](https://gitlab.cern.ch/atlas/athena/tree/21.1)             | HLT and P1 monitoring        | AthenaP1, 21.1.X
[21.2](https://gitlab.cern.ch/atlas/athena/tree/21.2)             | Derivations and Analysis     | AthDerivations + (Ath)AnalysisBase, 21.2.X
[21.3](https://gitlab.cern.ch/atlas/athena/tree/21.3)             | MC18 Simulation              | Athena, 21.3.X
[21.6](https://gitlab.cern.ch/atlas/athena/tree/21.6)             | Event Generation             | AthGeneration, 21.6.X
[21.9](https://gitlab.cern.ch/atlas/athena/tree/21.9)             | Upgrade Phase-2 developments | Athena + AthSimulation, 21.9.X
[master](https://gitlab.cern.ch/atlas/athena/tree/master)         | AthenaMT development         | Athena, 22.0.X

Links
-----

- The [ATLAS webpage](https://atlas.ch) will tell you all about the ATLAS experiment (for ATLAS members, the collaboration webpage is [here](https://atlas-collaboration.web.cern.ch/))
- The [Twiki](https://twiki.cern.ch/twiki/bin/view/AtlasComputing/AtlasComputing) is the main source of documentation, and has many links to sub-domains
- The [software documentation](https://atlassoftwaredocs.web.cern.ch) page has some tutorials etc
- The git repository is [here](https://gitlab.cern.ch/atlas/athena)
- And the Doxygen code documentation can be found [here](https://atlas-sw-doxygen.web.cern.ch/atlas-sw-doxygen/atlas_22.0.X-DOX/docs/html/index.html)
- To cite Athena, you can use the following zenodo [DOI](https://zenodo.org/record/2641997)
