/*
  Copyright (C) 2002-2019 CERN for the benefit of the ATLAS collaboration
*/

#ifndef G4ATLASINTERFACES_IPHYSICSOPTIONTOOL_H
#define G4ATLASINTERFACES_IPHYSICSOPTIONTOOL_H

#include "GaudiKernel/IAlgTool.h"
class G4String;
class G4VPhysicsConstructor;

/** @class IPhysicsOptionTool IPhysicsOptionTool.h "G4AtlasInterfaces/IPhysicsOptionTool.h"
 *
 *  Abstract interface to Geant4 Physics list classes
 *
 *  @author Edoardo Farina
 *  @date   2015-05-15
 */

class IPhysicsOptionTool : virtual public IAlgTool
{
public:
  IPhysicsOptionTool() {}
  virtual ~IPhysicsOptionTool() {}
  /// Creates the InterfaceID and interfaceID() method
  DeclareInterfaceID(IPhysicsOptionTool, 1, 0);

  // Method needed to register G4VPhysicsConstructor into G4VmodularPhysicsList
  virtual G4VPhysicsConstructor* GetPhysicsOption() = 0 ;
};
#endif
