# Copyright (C) 2002-2021 CERN for the benefit of the ATLAS collaboration

def setupProfile(ScaleTaskLength=1):

  def _evts(x):
    return int(ScaleTaskLength * x)

  return [
    {'run':300000, 'lb':1, 'starttstamp':1500000000, 'dt':0.000, 'evts':_evts(1), 'mu':0.500, 'force_new':False},
    {'run':300000, 'lb':2, 'starttstamp':1500000060, 'dt':0.000, 'evts':_evts(1), 'mu':1.500, 'force_new':False},
    {'run':300000, 'lb':3, 'starttstamp':1500000120, 'dt':0.000, 'evts':_evts(1), 'mu':2.500, 'force_new':False},
    {'run':300000, 'lb':4, 'starttstamp':1500000180, 'dt':0.000, 'evts':_evts(1), 'mu':3.500, 'force_new':False},
    {'run':300000, 'lb':5, 'starttstamp':1500000240, 'dt':0.000, 'evts':_evts(1), 'mu':4.500, 'force_new':False},
    {'run':300000, 'lb':6, 'starttstamp':1500000300, 'dt':0.000, 'evts':_evts(1), 'mu':5.500, 'force_new':False},
    {'run':300000, 'lb':7, 'starttstamp':1500000360, 'dt':0.000, 'evts':_evts(1), 'mu':6.500, 'force_new':False},
    {'run':300000, 'lb':8, 'starttstamp':1500000420, 'dt':0.000, 'evts':_evts(1), 'mu':7.500, 'force_new':False},
    {'run':300000, 'lb':9, 'starttstamp':1500000480, 'dt':0.000, 'evts':_evts(1), 'mu':8.500, 'force_new':False},
    {'run':300000, 'lb':10, 'starttstamp':1500000540, 'dt':0.000, 'evts':_evts(1), 'mu':9.500, 'force_new':False},
    {'run':300000, 'lb':11, 'starttstamp':1500000600, 'dt':0.000, 'evts':_evts(1), 'mu':10.500, 'force_new':False},
    {'run':300000, 'lb':12, 'starttstamp':1500000660, 'dt':0.000, 'evts':_evts(1), 'mu':11.500, 'force_new':False},
    {'run':300000, 'lb':13, 'starttstamp':1500000720, 'dt':0.000, 'evts':_evts(3), 'mu':12.500, 'force_new':False},
    {'run':300000, 'lb':14, 'starttstamp':1500000780, 'dt':0.000, 'evts':_evts(4), 'mu':13.500, 'force_new':False},
    {'run':300000, 'lb':15, 'starttstamp':1500000840, 'dt':0.000, 'evts':_evts(6), 'mu':14.500, 'force_new':False},
    {'run':300000, 'lb':16, 'starttstamp':1500000900, 'dt':0.000, 'evts':_evts(9), 'mu':15.500, 'force_new':False},
    {'run':300000, 'lb':17, 'starttstamp':1500000960, 'dt':0.000, 'evts':_evts(12), 'mu':16.500, 'force_new':False},
    {'run':300000, 'lb':18, 'starttstamp':1500001020, 'dt':0.000, 'evts':_evts(16), 'mu':17.500, 'force_new':False},
    {'run':300000, 'lb':19, 'starttstamp':1500001080, 'dt':0.000, 'evts':_evts(21), 'mu':18.500, 'force_new':False},
    {'run':300000, 'lb':20, 'starttstamp':1500001140, 'dt':0.000, 'evts':_evts(27), 'mu':19.500, 'force_new':False},
    {'run':300000, 'lb':21, 'starttstamp':1500001200, 'dt':0.000, 'evts':_evts(32), 'mu':20.500, 'force_new':False},
    {'run':300000, 'lb':22, 'starttstamp':1500001260, 'dt':0.000, 'evts':_evts(38), 'mu':21.500, 'force_new':False},
    {'run':300000, 'lb':23, 'starttstamp':1500001320, 'dt':0.000, 'evts':_evts(44), 'mu':22.500, 'force_new':False},
    {'run':300000, 'lb':24, 'starttstamp':1500001380, 'dt':0.000, 'evts':_evts(49), 'mu':23.500, 'force_new':False},
    {'run':300000, 'lb':25, 'starttstamp':1500001440, 'dt':0.000, 'evts':_evts(54), 'mu':24.500, 'force_new':False},
    {'run':300000, 'lb':26, 'starttstamp':1500001500, 'dt':0.000, 'evts':_evts(57), 'mu':25.500, 'force_new':False},
    {'run':300000, 'lb':27, 'starttstamp':1500001560, 'dt':0.000, 'evts':_evts(60), 'mu':26.500, 'force_new':False},
    {'run':300000, 'lb':28, 'starttstamp':1500001620, 'dt':0.000, 'evts':_evts(63), 'mu':27.500, 'force_new':False},
    {'run':300000, 'lb':29, 'starttstamp':1500001680, 'dt':0.000, 'evts':_evts(65), 'mu':28.500, 'force_new':False},
    {'run':300000, 'lb':30, 'starttstamp':1500001740, 'dt':0.000, 'evts':_evts(67), 'mu':29.500, 'force_new':False},
    {'run':300000, 'lb':31, 'starttstamp':1500001800, 'dt':0.000, 'evts':_evts(69), 'mu':30.500, 'force_new':False},
    {'run':300000, 'lb':32, 'starttstamp':1500001860, 'dt':0.000, 'evts':_evts(69), 'mu':31.500, 'force_new':False},
    {'run':300000, 'lb':33, 'starttstamp':1500001920, 'dt':0.000, 'evts':_evts(70), 'mu':32.500, 'force_new':False},
    {'run':300000, 'lb':34, 'starttstamp':1500001980, 'dt':0.000, 'evts':_evts(69), 'mu':33.500, 'force_new':False},
    {'run':300000, 'lb':35, 'starttstamp':1500002040, 'dt':0.000, 'evts':_evts(67), 'mu':34.500, 'force_new':False},
    {'run':300000, 'lb':36, 'starttstamp':1500002100, 'dt':0.000, 'evts':_evts(65), 'mu':35.500, 'force_new':False},
    {'run':300000, 'lb':37, 'starttstamp':1500002160, 'dt':0.000, 'evts':_evts(62), 'mu':36.500, 'force_new':False},
    {'run':300000, 'lb':38, 'starttstamp':1500002220, 'dt':0.000, 'evts':_evts(58), 'mu':37.500, 'force_new':False},
    {'run':300000, 'lb':39, 'starttstamp':1500002280, 'dt':0.000, 'evts':_evts(54), 'mu':38.500, 'force_new':False},
    {'run':300000, 'lb':40, 'starttstamp':1500002340, 'dt':0.000, 'evts':_evts(50), 'mu':39.500, 'force_new':False},
    {'run':300000, 'lb':41, 'starttstamp':1500002400, 'dt':0.000, 'evts':_evts(46), 'mu':40.500, 'force_new':False},
    {'run':300000, 'lb':42, 'starttstamp':1500002460, 'dt':0.000, 'evts':_evts(42), 'mu':41.500, 'force_new':False},
    {'run':300000, 'lb':43, 'starttstamp':1500002520, 'dt':0.000, 'evts':_evts(38), 'mu':42.500, 'force_new':False},
    {'run':300000, 'lb':44, 'starttstamp':1500002580, 'dt':0.000, 'evts':_evts(35), 'mu':43.500, 'force_new':False},
    {'run':300000, 'lb':45, 'starttstamp':1500002640, 'dt':0.000, 'evts':_evts(32), 'mu':44.500, 'force_new':False},
    {'run':300000, 'lb':46, 'starttstamp':1500002700, 'dt':0.000, 'evts':_evts(30), 'mu':45.500, 'force_new':False},
    {'run':300000, 'lb':47, 'starttstamp':1500002760, 'dt':0.000, 'evts':_evts(27), 'mu':46.500, 'force_new':False},
    {'run':300000, 'lb':48, 'starttstamp':1500002820, 'dt':0.000, 'evts':_evts(27), 'mu':47.500, 'force_new':False},
    {'run':300000, 'lb':49, 'starttstamp':1500002880, 'dt':0.000, 'evts':_evts(27), 'mu':48.500, 'force_new':False},
    {'run':300000, 'lb':50, 'starttstamp':1500002940, 'dt':0.000, 'evts':_evts(27), 'mu':49.500, 'force_new':False},
    {'run':300000, 'lb':51, 'starttstamp':1500003000, 'dt':0.000, 'evts':_evts(28), 'mu':50.500, 'force_new':False},
    {'run':300000, 'lb':52, 'starttstamp':1500003060, 'dt':0.000, 'evts':_evts(30), 'mu':51.500, 'force_new':False},
    {'run':300000, 'lb':53, 'starttstamp':1500003120, 'dt':0.000, 'evts':_evts(32), 'mu':52.500, 'force_new':False},
    {'run':300000, 'lb':54, 'starttstamp':1500003180, 'dt':0.000, 'evts':_evts(33), 'mu':53.500, 'force_new':False},
    {'run':300000, 'lb':55, 'starttstamp':1500003240, 'dt':0.000, 'evts':_evts(33), 'mu':54.500, 'force_new':False},
    {'run':300000, 'lb':56, 'starttstamp':1500003300, 'dt':0.000, 'evts':_evts(33), 'mu':55.500, 'force_new':False},
    {'run':300000, 'lb':57, 'starttstamp':1500003360, 'dt':0.000, 'evts':_evts(31), 'mu':56.500, 'force_new':False},
    {'run':300000, 'lb':58, 'starttstamp':1500003420, 'dt':0.000, 'evts':_evts(29), 'mu':57.500, 'force_new':False},
    {'run':300000, 'lb':59, 'starttstamp':1500003480, 'dt':0.000, 'evts':_evts(26), 'mu':58.500, 'force_new':False},
    {'run':300000, 'lb':60, 'starttstamp':1500003540, 'dt':0.000, 'evts':_evts(23), 'mu':59.500, 'force_new':False},
    {'run':300000, 'lb':61, 'starttstamp':1500003600, 'dt':0.000, 'evts':_evts(20), 'mu':60.500, 'force_new':False},
    {'run':300000, 'lb':62, 'starttstamp':1500003660, 'dt':0.000, 'evts':_evts(16), 'mu':61.500, 'force_new':False},
    {'run':300000, 'lb':63, 'starttstamp':1500003720, 'dt':0.000, 'evts':_evts(13), 'mu':62.500, 'force_new':False},
    {'run':300000, 'lb':64, 'starttstamp':1500003780, 'dt':0.000, 'evts':_evts(10), 'mu':63.500, 'force_new':False},
    {'run':300000, 'lb':65, 'starttstamp':1500003840, 'dt':0.000, 'evts':_evts(7), 'mu':64.500, 'force_new':False},
    {'run':300000, 'lb':66, 'starttstamp':1500003900, 'dt':0.000, 'evts':_evts(5), 'mu':65.500, 'force_new':False},
    {'run':300000, 'lb':67, 'starttstamp':1500003960, 'dt':0.000, 'evts':_evts(3), 'mu':66.500, 'force_new':False},
    {'run':300000, 'lb':68, 'starttstamp':1500004020, 'dt':0.000, 'evts':_evts(2), 'mu':67.500, 'force_new':False},
    {'run':300000, 'lb':69, 'starttstamp':1500004080, 'dt':0.000, 'evts':_evts(1), 'mu':68.500, 'force_new':False},
    {'run':300000, 'lb':70, 'starttstamp':1500004140, 'dt':0.000, 'evts':_evts(1), 'mu':69.500, 'force_new':False},
    {'run':300000, 'lb':71, 'starttstamp':1500004200, 'dt':0.000, 'evts':_evts(1), 'mu':70.500, 'force_new':False},
    {'run':300000, 'lb':72, 'starttstamp':1500004260, 'dt':0.000, 'evts':_evts(1), 'mu':71.500, 'force_new':False},
    {'run':300000, 'lb':73, 'starttstamp':1500004320, 'dt':0.000, 'evts':_evts(1), 'mu':72.500, 'force_new':False},
    {'run':300000, 'lb':74, 'starttstamp':1500004380, 'dt':0.000, 'evts':_evts(1), 'mu':73.500, 'force_new':False},
    {'run':300000, 'lb':75, 'starttstamp':1500004440, 'dt':0.000, 'evts':_evts(1), 'mu':74.500, 'force_new':False},
    {'run':300000, 'lb':76, 'starttstamp':1500004500, 'dt':0.000, 'evts':_evts(1), 'mu':75.500, 'force_new':False},
    {'run':300000, 'lb':77, 'starttstamp':1500004560, 'dt':0.000, 'evts':_evts(1), 'mu':76.500, 'force_new':False},
    {'run':300000, 'lb':78, 'starttstamp':1500004620, 'dt':0.000, 'evts':_evts(1), 'mu':77.500, 'force_new':False},
    {'run':300000, 'lb':79, 'starttstamp':1500004680, 'dt':0.000, 'evts':_evts(1), 'mu':78.500, 'force_new':False},
    {'run':300000, 'lb':80, 'starttstamp':1500004740, 'dt':0.000, 'evts':_evts(1), 'mu':79.500, 'force_new':False},
    {'run':300000, 'lb':81, 'starttstamp':1500004800, 'dt':0.000, 'evts':_evts(1), 'mu':80.500, 'force_new':False},
    {'run':300000, 'lb':82, 'starttstamp':1500004860, 'dt':0.000, 'evts':_evts(1), 'mu':81.500, 'force_new':False},
    {'run':300000, 'lb':83, 'starttstamp':1500004920, 'dt':0.000, 'evts':_evts(1), 'mu':82.500, 'force_new':False},
    {'run':300000, 'lb':84, 'starttstamp':1500004980, 'dt':0.000, 'evts':_evts(1), 'mu':83.500, 'force_new':False},
    {'run':300000, 'lb':85, 'starttstamp':1500005040, 'dt':0.000, 'evts':_evts(1), 'mu':84.500, 'force_new':False},
    {'run':300000, 'lb':86, 'starttstamp':1500005100, 'dt':0.000, 'evts':_evts(1), 'mu':85.500, 'force_new':False},
    {'run':300000, 'lb':87, 'starttstamp':1500005160, 'dt':0.000, 'evts':_evts(1), 'mu':86.500, 'force_new':False},
    {'run':300000, 'lb':88, 'starttstamp':1500005220, 'dt':0.000, 'evts':_evts(1), 'mu':87.500, 'force_new':False},
    {'run':300000, 'lb':89, 'starttstamp':1500005280, 'dt':0.000, 'evts':_evts(1), 'mu':88.500, 'force_new':False},
    {'run':300000, 'lb':90, 'starttstamp':1500005340, 'dt':0.000, 'evts':_evts(1), 'mu':89.500, 'force_new':False},
    {'run':300000, 'lb':91, 'starttstamp':1500005400, 'dt':0.000, 'evts':_evts(1), 'mu':90.500, 'force_new':False},
]