/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

/* Generated by Together */

/* author : Johann Collot */

/* date of creation : 30/09/2000 */

/*  modification :    30/06/2001 */
/*  date of last modification :    09/19/2002   HMA 
      Move to DataVector 

   08/06/2004 : Imported into TestBeam/TBEvent 
 */


#ifndef TBLARDIGITCONTAINER_H
#define TBLARDIGITCONTAINER_H

#include "AthContainers/DataVector.h"
#include "AthenaKernel/CLASS_DEF.h"
#include "LArRawEvent/LArDigit.h"

/**
  * Gaudi Class ID
  *
  */  
// static const CLID s_CLID_TBLARDIGITCONTAINER = 2711 ;

/**
  *  Liquid Argon Digit Container <br><br>
  * 
  * Publicly inherits from ATHENA ObjectVector<br>
  * @author johann collot
  * @version 00-00-05
  * @since 00-00-00
  */
class TBLArDigitContainer : public DataVector<LArDigit> {

 public :
 
   TBLArDigitContainer() : DataVector<LArDigit>() { }
   
/**
  * Convertion operator to a std::string <br><br>
  * Can be used in a cast operation : (std::string) digit_container
  */
  
  virtual operator std::string() const;

/**
  * destructor 
  */
  virtual ~TBLArDigitContainer() { }
private:    

  /** @link aggregation 
       * @supplierCardinality 1..*
       * @clientRole holds
       * @clientCardinality 1*/
  /*#  LArDigit lnkLArDigit; */
} ;

CLASS_DEF( TBLArDigitContainer , 1163833064 , 1 )



#endif
