/*
  Copyright (C) 2002-2021 CERN for the benefit of the ATLAS collaboration
*/

#ifndef TRIGHLTJETHYPO_COMPOUNDCONDITIONMT_H
#define TRIGHLTJETHYPO_COMPOUNDCONDITIONMT_H

/********************************************************************
 *
 * NAME:     CompoundConditionMT.h
 * PACKAGE:  Trigger/TrigHypothesis/TrigHLTJetHypo
 *
 * AUTHOR:   P. Sherwood
 *********************************************************************/

#include <string>
#include "./IConditionMT.h"
#include "./ConditionsDefsMT.h"

class ITrigJetHypoInfoCollector;

class CompoundConditionMT: public IConditionMT{
 public:  
  CompoundConditionMT(std::vector<ConditionMT>& elements);

  CompoundConditionMT(const CompoundConditionMT&) = delete;

  virtual bool isSatisfied(const HypoJetVector&,
			   const std::unique_ptr<ITrigJetHypoInfoCollector>&) const override;

  virtual unsigned int capacity() const override{return m_capacity;}


  std::string toString() const override;
 private:

  std::vector<ConditionMT> m_elements;

  unsigned int m_capacity;
  
};

#endif
