# Copyright (C) 2002-2019 CERN for the benefit of the ATLAS collaboration

from AthenaConfiguration.AllConfigFlags import ConfigFlags

monitoring_muonNonIso = ['HLT_mu50']
monitoring_muonNonIso_HI = ['HLT_mu8','HLT_mu3', 'HLT_mu4']#8TeV
#monitoring_muonNonIso_HI = ['HLT_mu10','HLT_mu14']
monitoring_muonNonIso_pp = ['HLT_mu50']
if ConfigFlags.Trigger.EDMVersion == 3:
    monitoring_muonNonIso = ['HLT_mu50_L1MU20']
    monitoring_muonNonIso_pp = ['HLT_mu50_L1MU20']

monitoring_muonIso = ['HLT_mu26_ivarmedium']
monitoring_muonIso_HI = ['']
monitoring_muonIso_pp = ['HLT_mu26_ivarmedium']
if ConfigFlags.Trigger.EDMVersion == 3:
    monitoring_muonIso = ['HLT_mu26_ivarmedium_L1MU20']
    monitoring_muonIso_pp = ['HLT_mu26_ivarmedium_L1MU20']

monitoring_MSonly = ['HLT_mu60_0eta105_msonly']
monitoring_MSonly_HI = ['HLT_mu15_msonly']
monitoring_MSonly_pp = ['HLT_mu60_0eta105_msonly']
if ConfigFlags.Trigger.EDMVersion == 3:
    monitoring_MSonly = ['HLT_mu60_0eta105_msonly_L1MU20']
    monitoring_MSonly_pp = ['HLT_mu60_0eta105_msonly_L1MU20']

#monitoring_muonEFFS = ['HLT_mu22_mu8noL1']
monitoring_muonEFFS = ['HLT_mu24_mu8noL1']
monitoring_muonEFFS_HI = ['HLT_mu4_mu4noL1']
#monitoring_muonEFFS_pp = ['HLT_mu22_mu8noL1']
monitoring_muonEFFS_pp = ['HLT_mu24_mu8noL1']

monitoring_muon_Support = ['HLT_mu6_idperf','HLT_mu20_idperf']
monitoring_muon_Support_HI = ['HLT_noalg_L1MU4','HLT_noalg_L1MU6']
monitoring_muon_Support_pp = ['HLT_mu6_idperf','HLT_mu6_idperf']

monitoring_muonLowpt = ["HLT_mu14"]



### TE name of the hypos for the L2
#L2 standalone
monitoring_muonNonIso_L2SAHypo = ['L2_mu_SAhyp_Muon6GeV_v15a_MU20']
monitoring_muonNonIso_HI_L2SAHypo = ['L2_mu_SAhyp_Muon6GeV_v15a_MU6','L2_mu_SAhyp_Muon3GeV_v15a_MU4','L2_mu_SAhyp_Muon4GeV_v15a_MU4']#8TeV
monitoring_muonNonIso_pp_L2SAHypo = ['L2_mu_SAhyp_Muon6GeV_v15a_MU20']

monitoring_muonIso_L2SAHypo = ['L2_mu_SAhyp_Muon6GeV_v15a_MU20']
monitoring_muonIso_HI_L2SAHypo = ['']
monitoring_muonIso_pp_L2SAHypo = ['L2_mu_SAhyp_Muon6GeV_v15a_MU20']

monitoring_MSonly_L2SAHypo = ['L2_mu_SAhyp_Muon6GeV_v15a_MU20']
monitoring_MSonly_HI_L2SAHypo = ['L2_mu_SAhyp_Muon6GeV_v15a_MU11']
monitoring_MSonly_pp_L2SAHypo = ['L2_mu_SAhyp_Muon6GeV_v15a_MU20']

monitoring_muonEFFS_L2SAHypo = ['']
monitoring_muonEFFS_HI_L2SAHypo = ['']
monitoring_muonEFFS_pp_L2SAHypo = ['']

monitoring_muon_Support_L2SAHypo = ['L2_mu_hypo1','L2_mu_SAhyp_Muon6GeV_v15a_MU20']
monitoring_muon_Support_HI_L2SAHypo = ['HLT_noalg_L1MU4','HLT_noalg_L1MU6']
monitoring_muon_Support_pp_L2SAHypo = ['L2_mu_hypo1','L2_mu_SAhyp_Muon6GeV_v15a_MU20']

monitoring_muonLowpt_L2SAHypo = ["L2_mu_SAhyp_Muon6GeV_v15a_MU10"]
monitoring_muonLowpt_HI_L2SAHypo = ["L2_mu_SAhyp_Muon6GeV_v15a_MU10"]
monitoring_muonLowpt_pp_L2SAHypo = ["L2_mu_SAhyp_Muon6GeV_v15a_MU10"]

#L2 combined
monitoring_muonNonIso_L2CBHypo = ['L2_mucombhyp_mu22_MU20']
monitoring_muonNonIso_HI_L2CBHypo = ['L2_mucombhyp_mu8_MU6', 'L2_mucombhyp_mu3_MU4', 'L2_mucombhyp_mu4_MU4']#8TeV
monitoring_muonNonIso_pp_L2CBHypo = ['L2_mucombhyp_mu22_MU20']

monitoring_muonIso_L2CBHypo = ['L2_mucombhyp_mu22_MU20']
monitoring_muonIso_HI_L2CBHypo = ['']
monitoring_muonIso_pp_L2CBHypo = ['L2_mucombhyp_mu22_MU20']

monitoring_MSonly_L2CBHypo = ['']
monitoring_MSonly_HI_L2CBHypo = ['']
monitoring_MSonly_pp_L2CBHypo = ['']

monitoring_muonEFFS_L2CBHypo = ['']
monitoring_muonEFFS_HI_L2CBHypo = ['']
monitoring_muonEFFS_pp_L2CBHypo = ['']

monitoring_muon_Support_L2CBHypo = ['L2_mucombhyp_mu6idperf_MU6','L2_mucombhyp_mu20idperf_MU20']
monitoring_muon_Support_HI_L2CBHypo = ['HLT_noalg_L1MU4','HLT_noalg_L1MU6']
monitoring_muon_Support_pp_L2CBHypo = ['L2_mucombhyp_mu6idperf_MU6','L2_mucombhyp_mu20idperf_MU20']

monitoring_muonLowpt_L2CBHypo = ["L2_mucombhyp_mu14_MU10"]
monitoring_muonLowpt_HI_L2CBHypo = ["L2_mucombhyp_mu14_MU10"]
monitoring_muonLowpt_pp_L2CBHypo = ["L2_mucombhyp_mu14_MU10"]


