
# VP1 (Virtual Point 1) - The ATLAS 3D event display

### Introduction 

VP1  is the 3D event display for ATLAS. VP1 is the acronym of "or Virtual Point 1", being "Point 1" the site at CERN where the ATLAS experiment is.

VP1 is a framework, there are:

    * base packages for common functions and interfaces (VP1Base, VP1Gui, ...)
    * system packages implementing access to specific data collections  and systems and to handle all the information  from them (VP1GeometrySystems, VP1AODSystems, VP1TrackSystems, ...) 
    * plugin packages which define the usage and the visualization of systems (VP1GeometryPlugin, VP13DCocktailPlugin, ...)
    
    
### Documentation

Main website: https://atlas-vp1.web.cern.ch/atlas-vp1/home/

A hands-on tutorial focused on producing beautiful and informative event displays for physics papers: https://atlas-vp1.web.cern.ch/atlas-vp1/doc_new/tutorial_physics/index.html

The VP1 Blog, a collection of useful tips & tricks: https://atlas-vp1.web.cern.ch/atlas-vp1/blog/

User's support: for all requests and reports, feel free to file a JIRA ticket on the VP1 JIRA project: https://its.cern.ch/jira/projects/ATLASVPONE/summary

Mailing list - feel free to send us any questions about VP1 and related topics: https://atlas-vp1.web.cern.ch/atlas-vp1/home/contacts/

 
### Event display approvals

For event displays which are not part of any physics paper and which you want to use for public usage (press release, multimedia, conference, talk, ...), you can ask an express approval on this dedicated JIRA project: https://its.cern.ch/jira/projects/ATLDISPLAY/summary
